Rygel.MediaFileItem.get_primary_resource – librygel-server Reference Manual

# get_primary_resource

## Description:

public virtual MediaResource get_primary_resource ()

Subclasses override this method to create the type-specific primary MediaResource.

The resource returned is presumed to represent the "internal" file resource and a uri referring to the source file. Transport-specific variants can be created by the caller.

## Returns:

a RygelMediaResource for the on-disk file represented by this instance.